#include <iostream>
#include <array>

int main() {
    // Uniform initialization syntax
    int arr1[]{1, 2, 3, 4, 5};

    // std::array initialization
    std::array<int, 5> arr2 = {10, 20, 30, 40, 50};

    // Auto type deduction with std::array
    auto arr3 = std::array<double, 3>{1.1, 2.2, 3.3};

    // Print arrays
    std::cout << "arr1: ";
    for (int num : arr1) std::cout << num << " ";
    std::cout << std::endl;

    std::cout << "arr2: ";
    for (int num : arr2) std::cout << num << " ";
    std::cout << std::endl;

    std::cout << "arr3: ";
    for (double num : arr3) std::cout << num << " ";
    std::cout << std::endl;

    return 0;
}
